{
  "schema_version": "1.4.0",
  "id": "GHSA-r68c-v3gr-w2rh",
  "modified": "2022-05-01T18:14:26Z",
  "published": "2022-05-01T18:14:26Z",
  "aliases": [
    "CVE-2007-3508"
  ],
  "details": "** DISPUTED **  Integer overflow in the process_envvars function in elf/rtld.c in glibc before 2.5-rc4 might allow local users to execute arbitrary code via a large LD_HWCAP_MASK environment variable value.  NOTE: the glibc maintainers state that they do not believe that this issue is exploitable for code execution.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-3508"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/35240"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=183844"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/37901"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25864"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200707-04.xml"
    },
    {
      "type": "WEB",
      "url": "http://sources.gentoo.org/viewcvs.py/gentoo/src/patchsets/glibc/2.5/1600_all_glibc-hwcap-mask-secure.patch?rev=1.1&view=markup"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24758"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018334"
    },
    {
      "type": "WEB",
      "url": "http://www.sourceware.org/ml/libc-hacker/2007-07/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2418"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-07-03T21:30:00Z"
  }
}